<?PHP
/* 
	01ACP - Copyright 2008 by Michael Lorer - 01-Scripts.de
	Lizenz: Creative-Commons: Namensnennung-Keine kommerzielle Nutzung-Weitergabe unter gleichen Bedingungen 3.0 Deutschland
	Weitere Lizenzinformationen unter: http://www.01-scripts.de/lizenz.php
	
	Modul:		01ACP
	Dateiinfo: 	Globale Variablendefinitionen, Verbindung zur MySQL-Tabelle aufbauen, Settings aus MySQL-DB
				auslesen, installierte Module auslesen, Modulspezifische Dateien includieren, Grundeinstellungen,
				Pfadangaben, Funktionen includen
				Datei wird sowohl im Frontpanel als auch im Adminbereich als erstes includiert
	#fv.1002#
*/

//Session starten:
@session_start();

/*error_reporting(E_ALL);
@ini_set('session.bug_compat_warn', "0");
@ini_set("register_globals", "0");*/

/* Globale Einstellungen und Definitionen */
if($flag_acp) $subfolder = "../";
include_once($subfolder."01_config.php");

// Zentrale MySQL-Tabellen
$mysql_tables['files'] 		= "01_".$instnr."_files";
$mysql_tables['comments'] 	= "01_".$instnr."_comments";
$mysql_tables['menue'] 		= "01_".$instnr."_menue";
$mysql_tables['module'] 	= "01_".$instnr."_module";
$mysql_tables['rights'] 	= "01_".$instnr."_rights";
$mysql_tables['settings'] 	= "01_".$instnr."_settings";
$mysql_tables['user'] 		= "01_".$instnr."_user";

// Pfade
$admindir 					= $subfolder."01acp/";
$moduldir 					= $subfolder."01module/";
$basicdir					= $moduldir."_basics/";
if(isset($_REQUEST['modul']) && !empty($_REQUEST['modul'])) $modulpath = $moduldir.$_REQUEST['modul']."/";
else $modulpath = "";

$picuploaddir 				= $subfolder."01pics/";
$smiliedir 					= $picuploaddir."smilies/";
$attachmentuploaddir 		= $subfolder."01files/";
$catuploaddir 				= $picuploaddir."catpics/";


// Sonstige Variablen
$flag_modcheck 		= FALSE;
$flag_showacpRSS 	= TRUE;						// RSS-Feed auf der ACP-Startseite anzeigen?
$flag_feedback		= TRUE;
$inst_module 		= array();
define('ACPSTART_RSSFEED_URL', 'http://www.01-scripts.de/01scripts/01module/01article/01article.php?rss=show_rssfeed&modul=01article&catid=1');				// URL zum RSS-Feed, der auf der Startseite des ACP angezeigt werden soll
define('RSS_CACHEFILE', $admindir.'cache/01rss.xml');
define('ACP_PER_PAGE', 15); 					// Eintrge pro Seite im ACP
define('ACP_TB_WIDTH', 40); 					// Max. Kantenlnge von Bildern im ACP (1) (in showpics.php zustzlich definieren)
define('ACP_TB_WIDTH200', 200); 				// Max. Kantenlnge von Bildern im ACP (grer) (z.B. Popup-Vorschau nach Hochladen und vor dem Lschen)
define('FILE_404_THUMB', '404thumb.gif');		// gif im Verzeichnis 01pics, dass angezeigt wird, wenn die eigentliche Datei nicht gefunden werden kann (gelscht)
define('FILE_GIF_THUMB', 'gifthumb.gif');		// gif im Verzeichnis 01pics, dass statt des gif-Bildes bei Aufruf der showpics.php?hidegif=normal angezeigt wird
define('PW_LAENGE', 6);							// Minimale Passwortlnge
define('RSS_GENERATOR', '01-ACP RSS-Generator');
define('FEEDBACK_MAIL', 'feedback@01-scripts.de');
define('CACHE_TIME', 600);						// Alle wieviel Sekunden soll die versionsinfo.xml vom Server abgerufen und gecached werden?
define('CACHE_TIME_01RSS', 43200);				// Alle wieviel Sekunden soll der 01-Scripts.de RSS-Feed vom Server abgerufen und gecached werden?
define('VINFO_WWW_HOST', 'www.01-scripts.de');
define('HTTP_VERSIONSINFO_DATEILINK', 'http://www.01-scripts.de/versionsinfo.xml');
define('LOKAL_VERSIONSINFO_DATEILINK', $admindir.'cache/vinfo.cache');


// Verfgbare MooTools
/*	MooTools, die verwendet werden sollen im Array $mootools_use[] bergeben.
	Die entsprechenden .js und .css-Files fr die Module werden dann in der head.php automatisch integriert. */
$mootools['moo_core'][] 	= "<script src=\"system/js/mootools-core.js\" type=\"text/javascript\"></script>";		// V 1.2.1
$mootools['moo_more'][] 	= "<script src=\"system/js/mootools-more.js\" type=\"text/javascript\"></script>";		// V 1.2
$mootools['moo_request'][]	= "<script src=\"system/js/mootools-request.js\" type=\"text/javascript\"></script>";
$mootools['moo_calendar'][] = "<script src=\"system/js/mootools-calendar.js\" type=\"text/javascript\"></script>";
$mootools['moo_calendar'][] = "<link rel=\"stylesheet\" type=\"text/css\" href=\"system/js/mootools-calendar.css\" />";

// DOMReady-Code
/*	Dateinamen der Dateien, die in den DOMReady-Bereich includiert werden sollen */
$domready['moo_calendar'][] = "system/js/mootools-domready-calendar.js";		// Date Picker
$domready['moo_slidev'][]	= "system/js/mootools-domready-slidev.js";			// Verikaler Slide-Effekt
$domready['moo_slideh'][]	= "system/js/mootools-domready-slideh.js";			// Horizontaler Slide-Effekt


/* Verbindung zur MySQL-Datenbank aufbauen */
$db = @mysql_connect($host, $user, $passw)
or die ("Verbindungsaufnahme mit der MySQL-Server war <b>nicht</b> erfolgreich!<br />Bitte gehen Sie nochmals zurck.<br />Sollte weiterhin keine Verbindung zum MySQL-Server zu Stande kommen wenden Sie sich an den technischen Ansprechparnter");
@mysql_select_db($database, $db)
or die ("Verbindungsaufnahme mit Datenbank war <b>nicht</b> erfolgreich!<br />Bitte gehen Sie nochmals zurck.<br />Sollte weiterhin keine Verbindung zur MySQL-Datenbank zu Stande kommen wenden Sie sich an den technischen Ansprechparnter");

// Globale functions.php einbinden
include_once($admindir."system/functions.php");

// DB: Installierte Module in Array $module['idname'][] einlesen
$module = getModuls($inst_module);
/*
Struktur von $module
	array()
		['modul->idname']
			['db-feld'] -> 'wert'
			['db-feld'] -> 'wert'
			...
		['modul->idname']
			['db-feld'] -> 'wert'
			['db-feld'] -> 'wert'
			...
			
Struktur von $inst_module
	array()
		['idname']
		['idname']
		...
*/

// Modul-Spezifische headinclude- & _functions-Datei einbinden
if(isset($_REQUEST['modul']) && !empty($_REQUEST['modul']) && in_array($_REQUEST['modul'],$inst_module) OR 
   isset($modul) && !empty($modul) && in_array($modul,$inst_module)){
		
	if(isset($_REQUEST['modul']) && !empty($_REQUEST['modul']) || empty($modul)) $modul = $_REQUEST['modul'];
	$flag_modcheck = TRUE;
	if(file_exists($modulpath."_headinclude.php")) include_once($modulpath."_headinclude.php");
	if(file_exists($modulpath."_functions.php")) include_once($modulpath."_functions.php");
	}else $modul = "01acp";
	
// DB: Einstellungen in Array $settings[] einlesen
$list = mysql_query("SELECT idname,wert FROM ".$mysql_tables['settings']." WHERE is_cat = '0' AND (modul = '01acp' OR modul = '".mysql_real_escape_string($modul)."')");
while($row = mysql_fetch_array($list)){
	$settings[stripslashes($row['idname'])] = stripslashes($row['wert']);
	}
	
	
	
/* Auf MySQL-Daten basierende weitere Einstellungen & Standardwerte */

// Erlaubte Dateiendungen
// Bilder
$picendungen 			= explode(",",$settings['pic_end']);
$picsize 				= $settings['pic_size']*1000;

// Files
$attachmentendungen 	= explode(",",$settings['attachment_end']);
$attachmentsize 		= $settings['attachment_size']*1000;

// 01ACP Copyright 2008 by Michael Lorer - 01-Scripts.de
?>